#
# spec file for package python3-gmpy
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python3-gmpy
Version:        1.17
Release:        1.1
Summary:        Multiprecision arithmetic for Python
License:        LGPL-2.1
Group:          Development/Libraries/Python
Url:            http://code.google.com/p/gmpy/
Source0:        https://files.pythonhosted.org/packages/source/g/gmpy/gmpy-%{version}.zip
BuildRequires:  gmp-devel >= 4.0.1
BuildRequires:  python3-devel >= 2.3
BuildRequires:  python3-nose
BuildRequires:  python3-setuptools
BuildRequires:  unzip
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
A C-coded Python extension module that wraps the GMP library 
to provide to Python code fast multiprecision arithmetic 
(integer, rational, and float), random number generation, 
advanced number-theoretical functions, and more.

%prep
%setup -q -n gmpy-%{version}

%build
python3 setup.py build

%install
python3 setup.py install --prefix=%{_prefix} --root=%{buildroot}

%clean
rm -rf %{buildroot}

%check
pushd test3
PYTHONPATH="%{buildroot}%{python3_sitearch}" python3 gmpy_test.py
popd

%files
%defattr(-,root,root)
%doc README changes.txt lgpl-2.1.txt doc/*
%{python3_sitearch}/gmpy-%{version}-py*.egg-info
%{python3_sitearch}/gmpy.*.so

%changelog
* Sun May  8 2016 arun@gmx.de
- specfile:
  * updated source url to files.pythonhosted.org
* Thu Sep 18 2014 toddrme2178@gmail.com
- Initial python 3 version.
* Thu Sep 18 2014 toddrme2178@gmail.com
- Update to 1.17
  * Fixes compatibility with Python 3.x and other C extensions that
    use gmpy.
- Update to 1.16
  * Fixes a minor issue with the new Decimal type in Python 3.3.
- Update to 1.15
  * No upstream changelog
- spec file cleanups
- Run unit tests
- Fix license
* Wed Jan  4 2012 toddrme2178@gmail.com
- Cleaned up spec file formatting with spec-cleaner
- Updated URL
- Changed source to point to upstream source URL
- Changed gmp requires to libgmp to match new package naming
- Switched to .changes file
* Thu Mar 17 2011 werner.ho@gmx.de
- new version 1.14
